de.esprit.appsuite.task.monitor

## Interface TaskMonitorSupport

- All Known Subinterfaces:
    AsyncExecutable<C>, AsyncTask<C>, JournalTask<S>, RemoteTask<S>, RemoteTaskEventReceiver<C>, WorkflowTask<C>
  All Known Implementing Classes:
    AbstractArchiveExtractor, AbstractArchiver, AbstractAsciiDownloadTask, AbstractAsciiParser, AbstractAsciiParserWFT, AbstractAsyncExecutable, AbstractAsyncTask, AbstractBatchTask, AbstractBinaryDownloadTask, AbstractClientEDT, AbstractClientTask, AbstractClientWFT, AbstractClientWorkflow, AbstractDatabaseBatchTask, AbstractDataParserWFT, AbstractDownloadTask, AbstractEventDrivenWFT, AbstractFileStreamWFT, AbstractJavaCommandWFT, AbstractJournalOsProcessTask, AbstractJournalTask, AbstractOsProcessTask, AbstractOsProcessWFT, AbstractRemoteOsProcessTask, AbstractRemoteTask, AbstractServerTask, AbstractStreamParserWFT, AbstractSwingTask, AbstractTaskOptionDialogWFT, AbstractTaskOptionWFT, AbstractTimerTask, AbstractWFT, AbstractWorkflow, AbstractZipArchiverWFT, AgentExecutorTask, AgentWatchDogTask, AppLaunchPrefsWriter, AppLaunchTask, AppLaunchTask.MyNativeProcessTask, ArchiveConfigDialogWFT, ArchiveExtractTask, ArchiveExtractWFT, ArchiveExtractWorkflow, ArchiveListTask, ArchiveListWFT, ArchiveListWorkflow, AsciiParser, AsciiParserTask, AsciiWriter, AsyncAgentExecutorAdapter, BatchTaskConfigWriter, CheckWorkingDirectoryWFT, CleanupWorkingDirectoryWFT, ClientCommandTask, CoClientReconnectorTask, CoServerBindTask, CreateZipArchiveWFT, CreateZipArchiveWorkflow, CredentialWriter, DatabaseConfigWriter, DataParser, DataParserTask, DataWriter, DBLoadTask, DBOCompiler, DBOHtmlWriter, DBOWriter, DBOXmlReader, DBOXmlWriter, ExecutorTask, FileDownloadWFT, FileDownloadWorkflow, FileNameInputWFT, FileTransferClientTask, FileTransferTask, FileTransferWFT, FileUploadWFT, FileUploadWorkflow, GroupMemberWriter, GroupWriter, GuiReconnectorTask, InputFileChooserWFT, JavaAppDescriptorWriter, JavaCommandTask, LogCleanupBatchTask, MessageReceiveTask, NdfParser, NdfWriter, NetworkConfigWriter, OutputFileChooserWFT, PermissionConfigWriter, ProgressWindowExecutorTask, RemoteArchiveExtractEDT, RemoteArchiveExtractTask, RemoteArchiveExtractWFT, RemoteArchiveExtractWorkflow, RemoteArchiveListEDT, RemoteArchiveListTask, RemoteArchiveListWFT, RemoteArchiveListWorkflow, RemoteJavaCommandTask, RequestServiceTask, SimpleAsciiParser, StdinReaderTask, StringTagWriter, SwingExecutorTask, TagWriter, TarArchiver, TarExtractor, TarGZArchiver, TarLister, TaskCollection, TestBatchTask, TimestampWriter, TransferServiceTask, UserWriter, WatchDogTask, XmlDataParser, XmlTagWriter, ZipArchiver, ZipArchiverTask, ZipExtractor, ZipLister, ZipSoftwareExtractor

      public interface TaskMonitorSupport

  This interface defines methods for providing monitoring support to `AsyncTask`s Note that you may attach many `TaskMonitor`s to the same `AsyncTask`. They all will be notified about task state changes in the sequence they were added.
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMonitor(TaskMonitor monitor)` Adds a `TaskMonitor` which is notified about `RunStateFlag` changes
    `void` | `clearMonitors()` Removes all `TaskMonitor`s
    `int` | `getMonitorCount()` Tells how many `TaskMonitor`s are registered
    `TaskMonitor[]` | `getMonitors()` Return the current `TaskMonitor`s if any
    `boolean` | `hasMonitor()` Tells whether there are `TaskMonitor`s registered
    `void` | `removeMonitor(TaskMonitor monitor)` Removes the given `TaskMonitor` from the registration

- - ### Method Detail

    - #### addMonitor

          void addMonitor(TaskMonitor monitor)

      Adds a `TaskMonitor` which is notified about `RunStateFlag` changes

    - #### removeMonitor

          void removeMonitor(TaskMonitor monitor)

      Removes the given `TaskMonitor` from the registration

    - #### getMonitors

          TaskMonitor[] getMonitors()

      Return the current `TaskMonitor`s if any

    - #### hasMonitor

          boolean hasMonitor()

      Tells whether there are `TaskMonitor`s registered

    - #### getMonitorCount

          int getMonitorCount()

      Tells how many `TaskMonitor`s are registered

    - #### clearMonitors

          void clearMonitors()

      Removes all `TaskMonitor`s

Copyright © 2014 EsprIT-Systems. All Rights Reserved.